curl --request GET \
--url https://api.example.com/utils/context-packs/{name}/memories/{memory_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/utils/context-packs/{name}/memories/{memory_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/utils/context-packs/{name}/memories/{memory_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"context_pack_id": "<string>",
"version": 123,
"content": {},
"memory_type": "fact",
"source": {
"type": "<string>",
"conversation_id": "<string>",
"turn_index": 123,
"actor": "<string>",
"confidence": 0.5,
"document_url": "<string>"
},
"classification": {
"domain": "<string>",
"priority": "normal",
"tags": [
"<string>"
],
"sensitivity": "<string>"
},
"meta_data": {},
"quality": {
"validation_status": "unvalidated",
"confidence_score": 0.5,
"validated_by": "<string>",
"validated_at": "2023-11-07T05:31:56Z"
},
"access": {
"count": 0,
"last_accessed": "2023-11-07T05:31:56Z",
"success_count": 0,
"failure_count": 0,
"success_rate": 123
},
"status": "active",
"pinned": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_fqn": "<string>",
"content_url": "<string>",
"search_text": "<string>",
"superseded_by": "<string>",
"pinned_at": "2023-11-07T05:31:56Z",
"unpinned_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"superseded_at": "2023-11-07T05:31:56Z",
"reactivated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}Get a memory by name within a context pack
Get a memory by name within a context pack.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Full response model for a memory.
Memory ID
Memory name
Organization ID
Project ID
Parent context pack ID
Version number
Memory content
Memory type
fact, experience, observation, instruction, preference, summary, glossary, ontology, textual_pattern, kpi, exemplar, join, numeric_pattern, policy Source information
Show child attributes
Show child attributes
Classification
Show child attributes
Show child attributes
User-defined metadata
Quality information
Show child attributes
Show child attributes
Access tracking (PLACEHOLDER)
Show child attributes
Show child attributes
Current status
active, superseded, archived, deleted Whether pinned
Creation timestamp
Last update timestamp
Dot-separated catalog asset FQN
External content URL
Search text
ID of superseding memory
Pin timestamp
Unpin timestamp
Archive timestamp
Deletion timestamp
Supersede timestamp
Reactivation timestamp
Expiration timestamp
Was this page helpful?

